org.apache.lucene.analysis.compound

## Class CompoundWordTokenFilterBase.CompoundToken

- java.lang.Object
- - org.apache.lucene.analysis.compound.CompoundWordTokenFilterBase.CompoundToken

Enclosing class:
  CompoundWordTokenFilterBase

    protected class CompoundWordTokenFilterBase.CompoundToken
    extends Object

Helper class to hold decompounded token information

### Field Summary

Fields
`int` `endOffset`
`int` `startOffset`
`CharSequence` `txt`

### Constructor Summary

Constructors
Constructor and Description
`CompoundToken(int offset, int length)` Construct the compound token based on a slice of the current `CompoundWordTokenFilterBase.termAtt`.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### txt

    public final CharSequence txt

#### startOffset

    public final int startOffset

#### endOffset

    public final int endOffset

### Constructor Detail

#### CompoundToken

    public CompoundToken(int offset,
                         int length)

Construct the compound token based on a slice of the current `CompoundWordTokenFilterBase.termAtt`.